Bug 86414 - [systemd-udevd] error: /dev/sdb: No medium found
Summary: [systemd-udevd] error: /dev/sdb: No medium found
Status: RESOLVED NOTOURBUG
Alias: None
Product: systemd
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: systemd-bugs
QA Contact: systemd-bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-17 22:02 UTC by Ruben Herrero
Modified: 2015-01-21 00:25 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
udevadm info /dev/sdb dump (1.06 KB, text/plain)
2014-12-09 10:10 UTC, Ruben Herrero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruben Herrero 2014-11-17 22:02:04 UTC
With systemd 217 systemd-udevd complains every ~10 seconds. No error shows up on 216.

# on udevadm
KERNEL[927.627287] change /devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host4/target4:0:0/4:0:0:0/block/sdb (block)
KERNEL[927.687712] change /devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host4/target4:0:0/4:0:0:0/block/sdb (block)
KERNEL[927.689994] change /devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host4/target4:0:0/4:0:0:0/block/sdb (block)
UDEV [927.691861] change /devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host4/target4:0:0/4:0:0:0/block/sdb (block)
UDEV [927.705013] change /devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host4/target4:0:0/4:0:0:0/block/sdb (block)
UDEV [927.718009] change /devices/pci0000:00/0000:00:1d.7/usb5/5-6/5-6:1.0/host4/target4:0:0/4:0:0:0/block/sdb (block)

# Journalctl
nov 17 21:16:33 rarch systemd-udevd[143]: error: /dev/sdb: No medium found
nov 17 21:16:33 rarch systemd-udevd[143]: error: /dev/sdb: No medium found
nov 17 21:16:33 rarch systemd-udevd[143]: error: /dev/sdb: No medium found

Im running an MSI Wind U100 with Arch, kernel 3.17.2 (Also happens in 3.17.3)

Obviously there's no /dev/sdb in this machine.
Comment 1 Lennart Poettering 2014-12-08 23:30:31 UTC
almost definitely a kernel problem.
Comment 2 Kay Sievers 2014-12-09 00:12:14 UTC
There is for sure an /dev/sdb device created by the kernel, otherwise we
would not see the events for it. It is one of the USB devices connected
to your system. Please find out what kind of device it is.

"Change" events are usually devices which do not work properly when reporting media changes.
Comment 3 Ruben Herrero 2014-12-09 10:10:38 UTC
Created attachment 110615 [details]
udevadm info /dev/sdb dump
Comment 4 Ruben Herrero 2014-12-09 10:13:38 UTC
I'm a bit out of my depth but I think that's the info you wanted.
Comment 5 Lennart Poettering 2014-12-09 13:16:32 UTC
Seems to be your card reader. The "ums-realtek" kernel USB driver seems to implement media change events incorrectly. Please contact the kernel/driver folks about this, there's little we can do about this from the systemd side.
Comment 6 Christian Döhler 2014-12-09 21:01:27 UTC
Since a couple of days I facing the same problem. May it be possible that this is a udev bug? Or why it can't?

At the very beginning of the boot process I have to enter the passphrase for my root partition. Some seconds after the "Enter your password" prompt appeared, the messages like "/dev/sdd: No medium found" also appear.

On my PC the result of 'udevadm info /dev/sde |grep DRIVER' and the other cardreader devices is: "E: ID_USB_DRIVER=usb-storage". My cardreader is using the usb-storage driver instead of the ums-realtek driver and I have the same problem.

I have a Lenovo X220 which also have a cardreader, "/dev/mmcblk0". The result of 'udevadm info |grep DRIVER' is just nothing. On this machine I have no "No medium found" errors.

Thank you!

MFG
Christian
Comment 7 quellen 2014-12-17 19:29:46 UTC
same problem in my pc with internal card-reader:
[code]
# journalctl -b|grep -i error
dic 17 19:00:44 linux kernel: ioapic: probe of 0000:00:00.5 failed with error -22
dic 17 19:00:48 linux systemd-udevd[158]: error: /dev/sde: No medium found
dic 17 19:00:48 linux systemd-udevd[158]: error: /dev/sdc: No medium found
dic 17 19:00:48 linux systemd-udevd[158]: error: /dev/sdf: No medium found
dic 17 19:00:48 linux systemd-udevd[158]: error: /dev/sdd: No medium found
dic 17 19:01:25 linux kactivitymanagerd[454]: Couldn't start kded5 from org.kde.kded5.service: QDBusError("org.freedesktop.DBus.Error.ServiceUnknown", "The name org.kde.kded5 was not provided by any .service files") , falling back to running kbuildsycoca5
dic 17 19:01:25 linux kbuildsycoca5[460]: Parse error in  "/home/pippo/.config/menus/applications-merged/xdg-desktop-menu-dummy.menu" , line  1 , col  1 :  "unexpected end of file"
[/code]
Comment 8 Lennart Poettering 2014-12-17 19:33:57 UTC
Again, this is really an issue with certain device/driver combinations. Either way this needs to be fixed in the kernel. Please report this as kernel bug, there's nothing to do in the systemd/udev context.
Comment 9 dwillar 2014-12-23 04:28:43 UTC
My problem seems identical to this report. The only time I see the errors are on boot. One of the errors goes away if I plug an SD card into the card reader prior to boot.

Why is systemd-udev kicking out errors about missing media for a device that will be booted with the system thousands of times without any medium present?

I think this type of device is being assigned wrong. Both cards in both systems used to come up clean back about 3.16 on the kernel and shortly after systemd 217
but before the last udev after systemd 217 update as best as I can remember. Somebody did something and somebody needs to fix it. Please. Point me in the right direction!
Comment 10 quequotion 2015-01-06 13:46:32 UTC
The card reader slots are connected devices that exist; the kernel has to assign them some kind of node.

They are given block nodes whether they are loaded or not, and there are means to detect if and when they are loaded.

Why does systemd ouput an error if the devices are not loaded? Why is systemd looking for media in these devices? Why is it an error for the media not to be there?

Please answer these questions with specific citations to the relevant code in both systemd and the kernel (links to the most likely place in either git tree are acceptable).
Comment 11 Mark B 2015-01-21 00:25:09 UTC
My experience is exactly as reported in comment 9 above. This started for me just after the update of systemd from 216 to 217 on Arch Linux towards the end of Nov 2014 as others have reported in the thread http://bbs.archlinux.org/viewtopic.php?id=190229.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.